<!DOCTYPE html> 

<html lang="pt-br">

	<head>
	
		<meta charset="utf-8">
	
		<title>JavaScript</title>

	</head>

	<body>
	
<!-- EX1 - Escreva uma programa que converta uma temperatura expressa em 
graus Celsius em seu valor equivalente em graus Fahrenheit (C = 5/9*(F-32)) 
ou vice-versa de acordo com a opção de conversão escolhida pelo usuário. 
Crie funções para as conversões.--> 
	
	

	<script>
		
		function converter(){
	
				var Celsius = document.getElementById('gCelsius') ; 
				var grauCelsius = Celsius.value  ; 
	
				var Fahrenheit = document.getElementById('gFahrenheit') ; 
				var grauFahrenheit = Fahrenheit.value  ; 
	
	
			if(grauCelsius != '' && grauFahrenheit != ''){
	
				alert('Favor Preencher somente uma temperatura!');
				Celsius.value = '' ; 
				Fahrenheit.value = '';
		
			}else if(grauCelsius != ''){
			
					alert('Convertendo Fahrenheit') ; 
					var f = (grauCelsius*1.8) + 32 ; 
					Fahrenheit.value = f;
		
			}else if (grauFahrenheit != ''){
			
					alert('Convertendo Celsius') ;
					var c = (grauFahrenheit - 32) / 1.8 ;
					Celsius.value = c ; 
		
			}else { 
					alert('Favor Preencher uma temperatura!');
			}
	


		}



	</script>
	
	<a> Convertendo para Celsius ou Fahrenheit</a><br/><br/>

	<label for="gCelsius">Celsius</label> <br/> <input type="text" id="gCelsius"/> <br/><br/>
	
	<label for="gFahrenheit">Fahrenheit</label> <br/> <input type="text" id="gFahrenheit"/> <br/><br/>
	
	<input type="Button" value="Converter!" onclick="converter()"/>

	
	</body>

</html>